- name: "True Linux Host Metrics"
  debug:
    msg: "{{ true_linux_hosts_metrics }}"

- name: Set Node Scrape Configs
  set_fact:
    node_scrape_configs: "{{ node_scrape_configs + [{ 'job_name': item.name, 'metrics_path': item.metrics_path, 'basic_auth': {'username': item.user, 'password': item.password}, 'scheme': 'https', 'static_configs': [{'targets': [item.url]}], 'relabel_configs': [{'source_labels': ['__address__'], 'target_label': 'instance', 'replacement': item.url}], 'metric_relabel_configs': [{'source_labels': ['__name__'], 'regex': true_linux_hosts_metrics, 'action': 'keep'}]}] }}"
  with_items: "{{ node_scrape_list }}"

- name: Populate Prometheus Scrape Configs
  set_fact:
    prometheus_scrape_configs: "{{  prometheus_scrape_configs + node_scrape_configs }}"

- name: Show Prometheus Scrape configs
  debug:
    msg: "{{ prometheus_scrape_configs }}"
